Skip to Content
avatar image
Former Member

Problem with loading of jars/drivers when using JDBC adapter

Hi All,

I am some problem with loading of Jars(JDBC drivers) when trying to connect any DB. I have configured my classpath in such a way that, my kernal jars will be reflected first and then the remaining jars. Now I am trying to use two versions of JDBC driver v1.2 and v2.0 for different use cases. Now my JDBC adapter will try to look for v2.0. But it finds v1.2 driver so could not connect to the corresponding DB.

I have following options:

1. To change the classpath and reflect the AF jars first.

2. To upgrade the version of kernal jar to 2.0 from 1.2

3. To some how manage that, while my JDBC adapter will always look for AF jars.

1st case is not possible as I want my kernal jar for engine's DB purpose.

2nd case is the only option I can see.

3rd case : Please help me out if anyone has suggestion on this.

Rever it asap.

Regards,

VP

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

1 Answer

  • Jun 16, 2010 at 07:17 AM

    Maybe the jars are compatible, so you can use v2.0 jars only.

    Check the vendors support forum.

    Add comment
    10|10000 characters needed characters exceeded